/*
* Автор: Галкин А.И.
* Дата: 2014-10-21
* Задача: http://192.168.2.17:3000/issues/786
* Назначение: Добавление подномера версии для идентификации ревизии ФМ-1 (в СФМ добавлено для совместимоти)
* Изменяются объекты:
    alter table FM1_REVISION
*/

/*
  ****** Инструкции для SQLPlus (обязательно) ******
  Для печати сообщений:
  DBMS_OUTPUT.put_line('<Message>');
*/
whenever sqlerror exit 1;
set serveroutput on;
set echo off;

declare
	filename      varchar2(256) := 'sfm.database-update.2014-10-21.AddRevisionSubNumber.sql';
	purpose       varchar2(4000) := 'Добавление подномера версии для идентификации ревизии ФМ-1 (в СФМ добавлено для совместимоти';
	script_exists number := 0;
begin

	--delete from DB_Update_History where script_name = filename;	commit;
	select count(*)
		into script_exists
		from DB_Update_History
	 where script_name = filename;

	if (script_exists > 0) then
		RAISE_APPLICATION_ERROR(-20001, '"' || filename || '" уже присутствует в базе');
	else
		insert into DB_Update_History
			(script_name, purpose)
		values
			(filename, purpose);
	end if;

	commit;

exception
	when others then
		rollback;
		raise;
end;
/

alter table FM1_REVISION add FM1_REVISION_ID NUMBER(*,0) default 0 NOT NULL;
COMMENT ON COLUMN FM1_REVISION.FM1_REVISION_ID IS 'Номер ревизии ФМ1 (для совместимости)';
